#{extends 'template/layout.html' /}
#{set title:'User' /}

#{set 'moreScripts'}
<script src="@{'/public/javascripts/jquery.maskedinput.js'}"></script>
<script>
    $(function () {
      $('#npwp').mask('99.999.999.9-999.999');
      $('#inputPassword3').blur(()=>checkPassword($('#inputPassword3').val()))
    })
    function checkPassword(str) {
      var specialcharRegex= /[`~!@#\$%^&*\<\>\?\/\.\,\[\]_\{\}-]/g;
      var alnumRegex=/^[a-zA-Z0-9`~!@#$%^&\\\|\+\=\_\;\'\"\:\*\<\>\?\/\.\,_\[\]-]*$/
      var pw = str
      var errors = []
      if(pw.length<8)
        errors.push('password min 8 karakter')
      if(!alnumRegex.test(pw) || (pw.match(specialcharRegex) || [] ).length != 1)
        errors.push('password hanya boleh berisi huruf, angka, dan 1 karakter khusus')
      $('#password-error').html(errors.join('<br/>'))
    }
  </script>
#{/set}
<!-- Horizontal Form -->
<div class="box box-info">
    <div class="box-header with-border">
      <h3 class="box-title">User Form</h3>
    </div>
    <!-- /.box-header -->
    <!-- form start -->
    <form class="form-horizontal" action="@{CUser.formSubmit}">
        <input type="hidden" value="${user.id}" name="user.id">
      <div class="box-body">
        <div class="form-group">
            <label class="col-sm-2 control-label">Username<a style="color:red;"> *</a></label>
  
            <div class="col-sm-10">
              <input name="user.username" value="${user.username}" type="text" class="form-control" placeholder="Username" required="required">
            </div>
          </div>
          <div class="form-group">
                <label for="inputPassword3" class="col-sm-2 control-label">Password<a style="color:red;"> *</a></label>
      
                <div class="col-sm-10">
                  <input name="user.password" value="${user.password}" type="password" class="form-control" id="inputPassword3" placeholder="Password" required="required">
                  <div style="display:block;" id="password-error" />
                </div>
            </div>
           </div>
        <div class="form-group">
          <label class="col-sm-2 control-label">Name<a style="color:red;"> *</a></label>

          <div class="col-sm-10">
            <input name="user.nama" value="${user.nama}" type="text" class="form-control" placeholder="Name" required="required">
          </div>
        </div>
        <div class="form-group">
            <label for="inputEmail3" class="col-sm-2 control-label">Email<a style="color:red;"> *</a></label>

            <div class="col-sm-10">
            <input name="user.email" value="${user.email}" type="email" class="form-control" id="inputEmail3" placeholder="Email" required="required">
            </div>
        </div>
        <div class="form-group">
            <label for="npwp" class="col-sm-2 control-label">NPWP<a style="color:red;"> *</a></label>

            <div class="col-sm-10">
            <input name="user.npwp" value="${user.npwp}" type="text" class="form-control" id="npwp" placeholder="NPWP" required="required">
            </div>
        </div>
        <div class="form-group">
            <label for="inputEmail3" class="col-sm-2 control-label">Role<a style="color:red;"> *</a></label>

            <div class="col-sm-10">
                    #{tag-select items:roles, required:"required", id:"role", name:"user.role_id", 
                    labelProperty:"name", valueProperty:"id", first:"Pilih Role", value:user.role_id /}
            </div>
            </br>
            </br>
            </br>
            <div class="form-group">
        		<a style="color:red;margin-left:50px" >Note : * wajib di isi</a>
        	</div>
        </div>
        
        
      </div>
      <!-- /.box-body -->
      <div class="box-footer">
        <a href="@{CUser.index()}" class="btn btn-default">Cancel</a>
        <button type="submit" class="btn btn-info pull-right">Save</button>
      </div>
      <!-- /.box-footer -->
    </form>
  </div>
  <!-- /.box -->
